--- old/usr/src/uts/i86pc/io/apix/apix.c	2014-03-02 12:32:54.340636011 -0500
+++ new/usr/src/uts/i86pc/io/apix/apix.c	2014-03-02 12:32:54.346286098 -0500
@@ -371,9 +371,6 @@
 
 	apix_softinit();
 #if defined(__amd64)
-	/*
-	 * Make cpu-specific interrupt info point to cr8pri vector
-	 */
 	CPU->cpu_pri_data = dummy_cpu_pri;
 #else
 	if (cpuid_have_cr8access(CPU))
--- old/usr/src/uts/i86pc/io/pcplusmp/apic.c	2014-03-02 12:32:54.594619819 -0500
+++ new/usr/src/uts/i86pc/io/pcplusmp/apic.c	2014-03-02 12:32:54.600296470 -0500
@@ -144,7 +144,7 @@
 	/* The taskpri to be programmed into apic to mask given ipl */
 
 #if defined(__amd64)
-uchar_t	apic_cr8pri[MAXIPL + 1];	/* unix ipl to cr8 pri	*/
+static unsigned char dummy_cpu_pri[MAXIPL + 1];
 #endif
 
 /*
@@ -301,12 +301,7 @@
 		apic_ipltopri[j] = (i << APIC_IPL_SHIFT) + APIC_BASE_VECT;
 	apic_init_common();
 #if defined(__amd64)
-	/*
-	 * Make cpu-specific interrupt info point to cr8pri vector
-	 */
-	for (i = 0; i <= MAXIPL; i++)
-		apic_cr8pri[i] = apic_ipltopri[i] >> APIC_IPL_SHIFT;
-	CPU->cpu_pri_data = apic_cr8pri;
+	CPU->cpu_pri_data = dummy_cpu_pri;
 #else
 	if (cpuid_have_cr8access(CPU))
 		apic_have_32bit_cr8 = 1;
@@ -698,7 +693,7 @@
 	apic_cpus_info_t *cpu_infop;
 
 #if defined(__amd64)
-	setcr8((ulong_t)apic_cr8pri[prev_ipl]);
+	setcr8((ulong_t)(apic_ipltopri[prev_ipl] >> APIC_IPL_SHIFT));
 #else
 	if (apic_have_32bit_cr8)
 		setcr8((ulong_t)(apic_ipltopri[prev_ipl] >> APIC_IPL_SHIFT));
@@ -740,7 +735,7 @@
 apic_setspl(int ipl)
 {
 #if defined(__amd64)
-	setcr8((ulong_t)apic_cr8pri[ipl]);
+	setcr8((ulong_t)(apic_ipltopri[ipl] >> APIC_IPL_SHIFT));
 #else
 	if (apic_have_32bit_cr8)
 		setcr8((ulong_t)(apic_ipltopri[ipl] >> APIC_IPL_SHIFT));
